Summary:	Free DOOM engine - DOOM is a classic 3D shoot-em-up game
Name:		prboom
Version:	2.5.0
Release:	%mkrel 17
Group:		Games/Shooter
License:	GPLv2
URL:		http://prboom.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/prboom/%{name}-%{version}.tar.bz2
Source1:	%{name}-game-server.sysconfig
Source2:	%{name}-game-server.init
Source3:	%{name}-64.png
BuildRequires:	SDL-devel 
BuildRequires:	smpeg-devel 
BuildRequires:	SDL_mixer-devel 
BuildRequires:	SDL_net-devel
BuildRequires:	sed 
BuildRequires:	MesaGLU-devel
Requires:	TiMidity++
Recommends:	doom-iwad
Provides:	doom-engine

%description
PrBoom is a game engine: it provides a program to play DOOM levels, but
it does not include any levels itself. More importantly, you need all the
sounds, sprites, and other graphics that make up the DOOM environment.
So to play PrBoom, you need one of the main DOOM date files from id
Software: either doom.wad, doom2.wad, tnt.wad or plutonia.wad from one
of the commercial DOOM games, or install FreeDOOM.

%package gl
Summary:	OpenGL version
Group:		Games/Shooter
Requires:	%{name} = %{version}

%description gl
This package contains the PrBooM binary that runs accelerated through
OpenGL.

%package server
Summary:	PrBooM game server
Group:		Games/Shooter
Requires(pre):	rpm-helper
Requires:	%{name} = %{version}

%description server
This package contains the PrBooM server binary, that is the program 
that passes data between the different players in the game.

%prep
%setup -q

%build

%define common_conf_flags --disable-cpu-opt --disable-i386-asm
%configure2_5x %{common_conf_flags} --enable-gl
%make
cp src/prboom prboom-gl

make clean

%configure2_5x %{common_conf_flags} --disable-cpu-opt
%make

%install
%make_install

install -m755 prboom-gl %{buildroot}%{_gamesbindir}
rm -fr %{buildroot}%_datadir/doc/

install -d %{buildroot}%{_sysconfdir}/sysconfig \
	   %{buildroot}%{_initrddir}
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}-game-server
cp %{SOURCE2} %{buildroot}%{_initrddir}/%{name}-game-server
sed -i "s|/etc/sysconfig|%{_sysconfdir}/sysconfig| ; s|/usr/games|%{_gamesbindir}|" \
%{buildroot}%{_initrddir}/%{name}-game-server
chmod 755 %{buildroot}%{_initrddir}/%{name}-game-server

mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m644 %{SOURCE3} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %buildroot%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM
Comment=%{Summary}
Icon=%{name}
Exec=%{name}
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-multiplayer.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM Multiplayer
Comment=%{Summary}
Icon=%{name}
Exec=sh -c "%{name} -net localhost"
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-gl.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM-GL
Comment=%{Summary}
Icon=%{name}
Exec=%{name}-gl
EOF

cat << EOF > %buildroot%{_datadir}/applications/%{name}-gl-multiplayer.desktop
[Desktop Entry]
Type=Application
Categories=Game;ArcadeGame;
Name=PrBooM-GL Multiplayer
Comment=%{Summary}
Icon=%{name}
Exec=sh -c "%{name}-gl -net localhost"
EOF

%post server
%_post_service %{name}-game-server

%preun server
%_preun_service %{name}-game-server

%files
%doc AUTHORS NEWS README TODO
%doc doc/*.txt doc/README.*
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/doom
%{_gamesdatadir}/doom/%{name}.wad
%{_mandir}/man5/*
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-multiplayer.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files gl
%{_gamesbindir}/%{name}-gl
%{_datadir}/applications/%{name}-gl.desktop
%{_datadir}/applications/%{name}-gl-multiplayer.desktop

%files server
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-game-server
%{_initrddir}/%{name}-game-server
%{_gamesbindir}/%{name}-game-server
%{_mandir}/man6/%{name}-game-server*


%changelog
* Mon Jan 18 2016 daviddavid <daviddavid> 2.5.0-17.mga6
+ Revision: 925269
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0-16.mga5
+ Revision: 748091
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0-15.mga5
+ Revision: 687765
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 2.5.0-14.mga4
+ Revision: 517673
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.5.0-13.mga3
+ Revision: 378165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 2.5.0-12.mga3
+ Revision: 343804
- updated RPM group

* Wed Aug 15 2012 dams <dams> 2.5.0-11.mga3
+ Revision: 281407
- update require
- update %%summary
- update %%description

* Sun Aug 05 2012 dams <dams> 2.5.0-10.mga3
+ Revision: 278613
- fix icon name in .desktop

* Sun Aug 05 2012 dams <dams> 2.5.0-9.mga3
+ Revision: 278596
- doom-iwad is now a suggest and no more a require
- update and fix %%description
- clean specfile
- update icon game

* Sat May 12 2012 zezinho <zezinho> 2.5.0-8.mga2
+ Revision: 235475
- fix desktop files

  + colin <colin>
    - Add LSB headers to initscripts (mga#5262)

  + stormi <stormi>
    - increase release so that it's higher than in mageia 1

* Tue Jun 21 2011 zezinho <zezinho> 2.5.0-6.mga2
+ Revision: 111288
- bump release
- provide a doom-engine

* Mon Jun 20 2011 zezinho <zezinho> 2.5.0-5.mga2
+ Revision: 110312
- imported package prboom


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.0-5mdv2011.0
+ Revision: 614610
- the mass rebuild of 2010.1 packages

* Mon Jan 18 2010 Pascal Terjan <pterjan@mandriva.org> 2.5.0-4mdv2010.1
+ Revision: 493447
- Fix many errors in .desktop files and remove the one doing bad things to open the project webpage

* Wed Dec 30 2009 Shlomi Fish <shlomif@mandriva.org> 2.5.0-3mdv2010.1
+ Revision: 483886
- New release - 3mdv
- Added --disable-i386-asm to get rid of the i385 assembler which caused prboom to crash

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 2.5.0-2mdv2010.0
+ Revision: 441915
- rebuild

* Sat Dec 06 2008 Zombie Ryushu <ryushu@mandriva.org> 2.5.0-1mdv2009.1
+ Revision: 311178
- Version bump to 2.5.0
- New Version

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 2.4.7-5mdv2009.0
+ Revision: 259284
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.4.7-4mdv2009.0
+ Revision: 247211
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jan 08 2008 Thierry Vignaud <tv@mandriva.org> 2.4.7-2mdv2008.1
+ Revision: 146654
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Dec 12 2006 Olivier Blin <oblin@mandriva.com> 2.4.7-2mdv2007.0
+ Revision: 95954
- requires a doom IWAD (currently freedoom)

* Thu Dec 07 2006 Olivier Blin <oblin@mandriva.com> 2.4.7-1mdv2007.1
+ Revision: 92135
- use makeinstall_std to fix installation
- 2.4.7
- do not use old X11R6 folders
- Import prboom

* Wed May 10 2006 Olivier Blin <oblin@mandriva.com> 2.4.1-1mdk
- New release 2.4.1
- drop --without-x (it only prevents X libraries from being used)
- drop Patch0
- service isn't a config file
- use hostname from game host in menu, not build host

* Fri Oct 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1

* Fri May 21 2004 Michael Scherer <misc@mandrake.org> 2.3.0-1mdk
- New release 2.3.0
- adapt menus files
- use sed -i

* Sun Dec 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.2.4-1mdk
- 2.2.4
- do not bzip2 icons in src.rpm
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- make a Summary macro to avoid conflicts
- fix buildrequires (lib64..)
- update %%docs
- fix menu-command-not-in-package
- fix no-longtitle-in-menu

